<template>
<div>
    <v-layout class="default" v-bind:class="{complete: isCompleted, default: !isCompleted}">
      <v-checkbox 
      id="newTask.id"
      :label = newTask.name
      v-model="newTask.isCompleted" 
      @click="toggleComplete()"
      >
      </v-checkbox>
      <v-icon @click="remove" color="red">mdi-delete </v-icon>
    </v-layout>
</div>
</template>

<script>

export default {
  name: 'Task',
  data() {
      return {
        newTask: {
          name: this.injectedTaskName,
          isCompleted: false
      }
      }
  },
  components: {
  },
  props: {
    injectedTaskName: {
      type: String,
      required: true
    },
    isCompleted: {
      type: Boolean,
      default: false
    }
    },
  methods: {
    toggleComplete() {
      this.isCompleted = !this.isCompleted
    },
    remove() {
      this.$emit('remove-task')
    }
  },
}
</script>


<style scoped>
  .complete {
  text-decoration: line-through;
}
</style>